/// <reference types="react" />
import { IButtonProps } from '.';
export interface IButtonData {
    reference?: React.RefObject<HTMLButtonElement>;
    type?: "button" | "submit" | "reset";
    name?: string;
    value?: string | number | string[] | undefined;
    onClick?: ((event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void) | undefined;
    onMouseEnter?: ((event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void);
    onMouseLeave?: ((event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void);
    tabIndex?: number | undefined;
    disabled?: boolean;
    autoFocus?: boolean;
    form?: string;
    formAction?: string;
    formEncType?: string;
    formMethod?: string;
    formNoValidate?: boolean;
    formTarget?: string;
    style?: React.CSSProperties;
    className?: string;
}
export declare namespace ButtonData {
    const setData: (props: IButtonProps, buttonClasses: (string | undefined)[]) => IButtonData;
}
